Subject: bug#20036: 24.4.90; Emacs hangs/freezes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Mar 2015 21:00:06 +0200

> From: Justin Kirby <[email-masked]>
> Cc: martin rudalics <[email-masked]>, [email-masked]
> Date: Mon, 09 Mar 2015 14:15:07 -0400
> 
> > Justin, can you tell when this started happening?  Is this problem new
> > with Emacs 24.4.90, or did it happen before?
> 
> This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
> LTS. The problem has been occurring for all of the builds I have done. I
> first did a git clone a few weeks ago. Sorry, I can't give an exact
> date.
> 
> The default emacs24 package does not have this problem.

Did you build the emacs24 package?  If not, could you please build
Emacs 24.4 or 24.3 from the official source tarball on ftp.gnu.org,
and do it in the same way as you build the emacs-24 branch of the git
repo?  It is important to know whether there's a regression, or the
problem is somehow triggered by some particular configuration.

Fir that matter, can you show the details of the build of the "default
emacs24 package"?  The command "M-x report-emacs-bug RET" will insert
the description into a buffer that you can then copy.

> I read that if emacs freezes to use the lucid toolkit, which I did after
> the first occurrence. I will try using another --with-x-toolkit value
> and see if that works.

Yes, that could also help, thanks.